// This may look like C code, but it's really -*- C++ -*-
/*
 * Copyright (C) 2008 Emweb bvba, Kessel-Lo, Belgium.
 *
 * See the LICENSE file for terms of use.
 */
#ifndef CHARTS_EXAMPLE_H_
#define CHARTS_EXAMPLE_H_

#include <Wt/WContainerWidget>

#include <iostream>

namespace Wt {
  class WAbstractItemModel;

  namespace Ext {
    class TableView;
  }
}




class ScatterPlotExample: public Wt::WContainerWidget
{
public:
  /*! \brief Creates the scatter plot example
   */
  ScatterPlotExample(Wt::WContainerWidget *parent);
  
  void  layoutSizeChanged (int width, int height) override;
};


class ChartsExample : public Wt::WContainerWidget
{
public:
  /*! \brief Constructor.
   */
  ChartsExample(Wt::WContainerWidget *root);
};

/*@}*/

#endif // CHARTS_EXAMPLE_H_
